Lấy danh sách gói vay
curl --request GET \
--url https://services.entrade.com.vn/entrade-api/investors/{investorId}/derivative_margin_portfolios \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.entrade.com.vn/entrade-api/investors/{investorId}/derivative_margin_portfolios"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.entrade.com.vn/entrade-api/investors/{investorId}/derivative_margin_portfolios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://services.entrade.com.vn/entrade-api/investors/{investorId}/derivative_margin_portfolios",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://services.entrade.com.vn/entrade-api/investors/{investorId}/derivative_margin_portfolios"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://services.entrade.com.vn/entrade-api/investors/{investorId}/derivative_margin_portfolios")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://services.entrade.com.vn/entrade-api/investors/{investorId}/derivative_margin_portfolios")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"total": 123,
"data": [
{
"id": 123,
"bankId": 123,
"bankAccountId": 123,
"name": "<string>",
"interestRate": 123,
"tradingFeeRate": 123,
"overdueInterestRate": 123,
"loanTerm": 123,
"maxLoanPool": 123,
"coInvestTaxRate": 123,
"createdDate": "<string>",
"modifiedDate": "<string>",
"closedPositionFee": 123,
"tradingTaxRate": 123,
"portfolio": [
{
"symbol": "<string>",
"initialRate": 123,
"maintenanceRate": 123,
"liquidateRate": 123,
"overnightRate": 123,
"dailyStockBorrowFee": 123,
"withdrawalRate": 123,
"additionalRate": 123,
"companySecureRate": 123,
"vsdSecureRate": 123,
"bankSecureRate": 123
}
],
"assetManagementOvernightFee": 123,
"autoAdvanceRealizedProfit": true,
"displaySymbols": [
"<string>"
]
}
]
}{
"code": "<string>",
"message": "<string>",
"status": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}Phái sinh
Lấy danh sách gói vay
Lấy danh sách gói vay theo investorId.
GET
/
investors
/
{investorId}
/
derivative_margin_portfolios
Lấy danh sách gói vay
curl --request GET \
--url https://services.entrade.com.vn/entrade-api/investors/{investorId}/derivative_margin_portfolios \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.entrade.com.vn/entrade-api/investors/{investorId}/derivative_margin_portfolios"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.entrade.com.vn/entrade-api/investors/{investorId}/derivative_margin_portfolios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://services.entrade.com.vn/entrade-api/investors/{investorId}/derivative_margin_portfolios",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://services.entrade.com.vn/entrade-api/investors/{investorId}/derivative_margin_portfolios"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://services.entrade.com.vn/entrade-api/investors/{investorId}/derivative_margin_portfolios")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://services.entrade.com.vn/entrade-api/investors/{investorId}/derivative_margin_portfolios")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"total": 123,
"data": [
{
"id": 123,
"bankId": 123,
"bankAccountId": 123,
"name": "<string>",
"interestRate": 123,
"tradingFeeRate": 123,
"overdueInterestRate": 123,
"loanTerm": 123,
"maxLoanPool": 123,
"coInvestTaxRate": 123,
"createdDate": "<string>",
"modifiedDate": "<string>",
"closedPositionFee": 123,
"tradingTaxRate": 123,
"portfolio": [
{
"symbol": "<string>",
"initialRate": 123,
"maintenanceRate": 123,
"liquidateRate": 123,
"overnightRate": 123,
"dailyStockBorrowFee": 123,
"withdrawalRate": 123,
"additionalRate": 123,
"companySecureRate": 123,
"vsdSecureRate": 123,
"bankSecureRate": 123
}
],
"assetManagementOvernightFee": 123,
"autoAdvanceRealizedProfit": true,
"displaySymbols": [
"<string>"
]
}
]
}{
"code": "<string>",
"message": "<string>",
"status": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}